{
    "rules": {
        "function-name-case": "lower",
        "value-keyword-case": "lower",
        "declaration-bang-space-after": "never",
        "function-calc-no-unspaced-operator": true,
        "function-linear-gradient-no-nonstandard-direction": true,
        "shorthand-property-no-redundant-values": true,
        "selector-type-no-unknown": true,
        "no-duplicate-selectors": true,
        "value-no-vendor-prefix": true,
        "no-extra-semicolons": true,
        "no-invalid-double-slash-comments": true,
        "string-no-newline": true,
        "no-eol-whitespace": [
            true,
            {
                "ignore": [
                    "empty-lines"
                ]
            }
        ],
        "block-no-empty": true,
        "color-no-invalid-hex": true,
        "color-hex-case": "lower",
        "comment-empty-line-before": [
            "always",
            {
                "ignore": [
                    "stylelint-commands",
                    "after-comment"
                ]
            }
        ],
        "declaration-colon-space-after": "always",
        "font-family-no-duplicate-names": true,
        "font-family-name-quotes": "always-where-required",
        "font-weight-notation": [
            "numeric",
            {
                "ignore": [
                    "relative"
                ]
            }
        ],
        "max-empty-lines": 1,
        "indentation": 2,
        "unit-allowed-list": [
            "em",
            "rem",
            "px",
            "%",
            "s",
            "deg",
            "vw",
            "vh",
            "fr",
            "dpi"
        ],
        "selector-no-vendor-prefix": true,
        "selector-pseudo-element-colon-notation": "double",
        "function-url-quotes": "always",
        "function-parentheses-space-inside": "never",
        "max-nesting-depth": 12,
        "number-leading-zero": "never",
        "selector-attribute-quotes": "always",
        "selector-max-universal": 1,
        "string-quotes": "single",
        "declaration-block-trailing-semicolon": "always",
        "property-no-vendor-prefix": true,
        "comment-whitespace-inside": "always",
        "at-rule-no-vendor-prefix": true,
        "media-feature-range-operator-space-before": "never",
        "media-feature-range-operator-space-after": "always",
        "media-feature-parentheses-space-inside": "never",
        "media-feature-name-no-vendor-prefix": true,
        "media-feature-colon-space-before": "never",
        "media-feature-colon-space-after": "always"
    }
}
